<div class="login-page" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="center" fxLayoutGap="50px">
    <div class="logo-container" fxFlexAlign="center">
        <!-- <app-logo></app-logo> -->
        <img [src]="APP" style="width:120%" alt="">
    </div>
    <mat-card fxFlexAlign="center">
        <mat-card-title>
            Login to Stock Analytics Platform
        </mat-card-title>
        <mat-card-content>
            <form (keyup.enter)="login(email, password)">
                <mat-form-field class="login-field">
                    <input matInput placeholder="Email" name="email" [(ngModel)]="email" type="email" autocomplete="username email"/>
                </mat-form-field>
                <mat-form-field class="login-field">
                    <input matInput placeholder="Password" name="password" [(ngModel)]="password" type="password" autocomplete="current-password"/>
                </mat-form-field>
            </form>
            <mat-error [textContent]="errorMessage"></mat-error>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button color="primary"
                    class="login-field" (click)="login(email, password)" type="submit">
                Login
            </button>
        </mat-card-actions>
    </mat-card>
</div>
